Skip to main content

Update a permission partially in NetApp Console local deployment

PATCH /permissions/{permission_id}

Updates a permission with partial information.

Parameters

Name Type In Required Description

permission_id

string

path

True

Permission ID.

  • example: 666a3f38-d4fa-5b62-a391-a69029758d32

Request Body

Replaces the specified attributes in the request body with the values provided.

Name Type Required Description

description

string

False

JSON string containing the description of the permission. Defined values are: * Minimum length: 1 * Maximum length: 254 * This string is internally validated to prevent XSS, Unicode, directory traversal, and SQL-injection attacks.

id

string

False

Globally unique identifier of the resource. Defined values are:

  • Conforms to the UUIDv4 Schema

isSystem

string

False

Specifies if an object is system generated. Defined values are:

  • "true"

metadata

type_bxp_metadata

False

Metadata associated with the resource.

rule

string

False

JSON string containing the permission in the format [serviceApplication]:[resourceType]-[action][-[modifier]]. Defined values are:

  • Minimum length: 1

  • Maximum length: 63

  • This string is internally validated to prevent XSS, Unicode, directory traversal, and SQL-injection attacks.

tags

array[tags]

False

JSON array of tags (name/value pairs) representing metadata for the permission.

type

string

True

Media type of the resource. Defined values are:

  • "application/vnd.netapp.bxp.permission"

version

string

True

Version of the resource. Defined values are:

  • "1.0"

Example request
{
  "description": "Added permission which allow user to read in aiq",
  "rule": "aiq:system-create",
  "type": "application/vnd.netapp.bxp.permission",
  "version": "1.0"
}

Response

Status: 204, Indicates if the permission was updated.

Error

Status: 400, Bad request
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The supplied query parameters are invalid.",
  "status": "400",
  "title": "Invalid query parameters",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 401, Unauthorized
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request is missing the required bearer token.",
  "status": "401",
  "title": "Missing bearer token",
  "type": "https://bluexp.netapp.io/problems/1"
}

Error

Status: 403, Forbidden
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The requested operation isn't permitted.",
  "status": "403",
  "title": "Operation not permitted",
  "type": "https://bluexp.netapp.io/problems/11"
}

Error

Status: 404, Not found
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The collection specified in the request URI wasn't found.",
  "status": "404",
  "title": "Collection not found",
  "type": "https://bluexp.netapp.io/problems/2"
}

Error

Status: 409, Conflict
Name Type Required Description

correlationId

string

False

Internal UUID representing the request or trace ID related.

detail

string

False

Details about the problem.

invalidParams

array[invalidParams]

False

List of invalid parameters.

status

string

True

HTTP error code related to the problem.

title

string

True

Title description of the problem.

type

string

True

Content-type of the object.

Example error response
{
  "detail": "The request body JSON contains a field that conflicts with an idempotent value.",
  "status": "409",
  "title": "JSON resource conflict",
  "type": "https://bluexp.netapp.io/problems/10"
}

Definitions

See Definitions

type_bxp_label

Name/value pair.

Name Type Required Description

name

string

True

Name of the label.

value

string

True

Value of the label.

type_bxp_metadata

Metadata associated with the resource.

Name Type Required Description

createdBy

string

False

UUID of the user who created the resource.

creationTimestamp

string

False

Resource creation date.

labels

array[type_bxp_label]

False

Array of name/value pairs representing additional information for the resource.

modificationTimestamp

string

False

Resource modification date.

modifiedBy

string

False

UUID of the user who modified the resource.

tags Hash mapping strings to string

invalidParams

Name Type Required Description

name

string

True

Name of the invalid parameter.

reason

string

True

Reason why the parameter is invalid.